import unittest
import compLib.Seeding as Seeding


class SeedingTest(unittest.TestCase):
    def test_basic_seed(self):
        gamestate = Seeding.Gamestate(0)
        self.assertEqual(gamestate.seed, 0)
        self.assertEqual(gamestate.heu_color, 1)
        self.assertEqual(gamestate.get_heuballen(), 1)
        self.assertEqual(gamestate.get_logistic_plan(),
                         [12, 13, 10, 13, 12, 10, 11, 10, 12, 11, 12, 13, 10, 12, 10, 11, 13, 11, 13, 11, 12])
        self.assertEqual(gamestate.get_material_deliveries(), [[3, 1], [0, 3], [3, 1], [3, 1]])


if __name__ == '__main__':
    unittest.main()
